﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$ZipArgs = @{
   PackageName   = $env:ChocolateyPackageName
   url           = 'https://products.lablicate.com/openchrom/1.5.0/openchrom-lablicate_win32.x86_64_1.5.0.zip'
   checksum      = '9c3f1c2ffc2d372c7d5b97eae924398b6e097a33a9ad0f00e5d971ee072f1981'
   ChecksumType  = 'sha256'
   UnzipLocation = Join-Path (Split-Path $toolsDir) "$env:ChocolateyPackageName$env:ChocolateyPackageVersion"
}

Install-ChocolateyZipPackage @ZipArgs

$exes = Get-ChildItem $ZipArgs.UnzipLocation | 
            Where-Object {$_.psiscontainer} | 
            ForEach-Object {Get-ChildItem $_.fullname -filter "*.exe" -Recurse}

foreach ($exe in $exes) {
   New-Item "$($exe.fullname).ignore" -Type file -Force | Out-Null
}

$GUI = (Get-ChildItem $ZipArgs.UnzipLocation -filter "$env:ChocolateyPackageName.exe").fullname
New-Item "$GUI.gui" -Type file -Force | Out-Null

$Linkname = "OpenChrom v$env:ChocolateyPackageVersion.lnk"
$StartPrograms = Join-Path $env:ProgramData '\Microsoft\Windows\Start Menu\Programs'

$ShortcutArgs = @{
   ShortcutFilePath = Join-Path $StartPrograms $Linkname
   TargetPath = $GUI
   IconLocation = Join-Path $toolsDir 'openchrom.ico'
}

Install-ChocolateyShortcut @ShortcutArgs
